class CreateMembers < ActiveRecord::Migration[7.2]
  def change
    create_table :members do |t|
      t.string :name
      t.string :family_id
      t.integer :mb_member_key
      t.integer :pb_entity_key
      t.integer :pl_plan_key
      t.string :id_card_display_name
      t.string :coverage_class
      t.string :division
      t.string :dental_plan_key
      t.text :dependents
      t.belongs_to :employer, foreign_key: true
      t.belongs_to :id_card_plan, null: true, foreign_key: true

      t.timestamps
    end
  end
end
